
Gisaf - Feature #7879

Add the possibility to add custom fields for the info tools to the models

12/03/2019 11:08 - Philippe May

Status: Closed Start date: 12/03/2019

Priority: Normal Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Gisaf still has legacy from the days where the models were not in their separate module.

The "dry" checkbox is one of them (the only one?).

So, the models should be able to have a way to customize the tools in the info panel.

Related issues:

Related to Gisaf - Bug #6538: Well level: improve the form and input processi... New 30/08/2018

Associated revisions

Revision 0c4def0f - 12/07/2019 15:28 - Philippe May

Form fields for well levels in the info tools pane (Refs #7879)

Revision c6041651 - 12/07/2019 15:32 - Philippe May

Add function for models to define their own form fields to be displayed in the info tools pane, remove artifacts from avgs models (Refs #7879)

History

#1 - 12/03/2019 11:09 - Philippe May

- Related to Bug #6538: Well level: improve the form and input processing (dry checkbox) added

#2 - 12/07/2019 15:46 - Philippe May

- Status changed from New to Resolved

Basic functionality added (models can define get_model_form_fields method, and then must also have a process_form_fields method), and moved

the relevant pieces of code to avgs_models.

#3 - 27/07/2019 16:58 - Philippe May

- Status changed from Resolved to Closed
